CI: work on new cmake-based CI; updates

This commit is contained in:
Markus F.X.J. Oberhumer
2022-08-17 18:05:42 +02:00
parent a9a806c418
commit 79e9b0762c
11 changed files with 267 additions and 36 deletions
+10 -8
View File
@@ -7,14 +7,16 @@ set -e; set -o pipefail
# NOTE: we are using clang-format-10.0.1 from upx-stubtools
# see https://github.com/upx/upx-stubtools/releases
CLANG_FORMAT="$HOME/local/bin/bin-upx/clang-format-10.0.1"
if [[ ! -f $CLANG_FORMAT ]]; then
CLANG_FORMAT="$HOME/.local/bin/bin-upx/clang-format-10.0.1"
if [[ ! -f $UPX_CLANG_FORMAT ]]; then
UPX_CLANG_FORMAT="$HOME/local/bin/bin-upx/clang-format-10.0.1"
fi
if [[ ! -f $CLANG_FORMAT ]]; then
CLANG_FORMAT="$HOME/bin/bin-upx/clang-format-10.0.1"
if [[ ! -f $UPX_CLANG_FORMAT ]]; then
UPX_CLANG_FORMAT="$HOME/.local/bin/bin-upx/clang-format-10.0.1"
fi
if [[ ! -f $CLANG_FORMAT ]]; then
if [[ ! -f $UPX_CLANG_FORMAT ]]; then
UPX_CLANG_FORMAT="$HOME/bin/bin-upx/clang-format-10.0.1"
fi
if [[ ! -f $UPX_CLANG_FORMAT ]]; then
echo "ERROR: $0: cannot find clang-format-10.0.1"
echo "ERROR: $0: please visit https://github.com/upx/upx-stubtools"
exit 1
@@ -22,6 +24,6 @@ fi
# NOTE: we use .clang-format config from upx.git/.clang-format
#echo $CLANG_FORMAT
exec "$CLANG_FORMAT" -style=file "$@"
#echo $UPX_CLANG_FORMAT
exec "$UPX_CLANG_FORMAT" -style=file "$@"
exit 1